在 HTTPS 承载的页面上不允许出现 http 请求,一旦出现就是提示或报错: This request has been blocked; the content must be served over HTTPS 解决方案 html: <meta http-equiv="Content-Security-Policy" content="upgrade-insecure-requests"/> php: header("Content-Securi…

2021年10月1日 1条评论 132点热度 0人点赞 ikeguang 阅读全文

因为最近在使用Vue和SpringBoot结合开发,异步请求使用axios这个插件,本身在后端已经配置了跨域,前端指定了axios.defaults.baseURL,对于get请求是没有问题的,本来以为可以安心写页面了,结果发现对于后端配置的需要验证authc才能访问的post页面完全不能访问。查询资料才知道,因为前端访问时候没有把cookie放到请求头里面,查阅了一下资料,这里记录下。axios我的配置是这样的: var axios = require('axios') axios.defau…

2021年2月7日 0条评论 3641点热度 0人点赞 ikeguang 阅读全文